petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMPlexReferenceTreeGetChildSymmetry

Given a reference tree, transform a childid and orientation from one parent frame to another

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexReferenceTreeGetChildSymmetry(DM dm, PetscInt parent, PetscInt parentOrientA, PetscInt childOrientA, PetscInt childA, PetscInt parentOrientB, PetscInt *childOrientB, PetscInt *childB)

### Input Parameters

| dm | - the reference tree DMPlex object
| parent | - the parent point
| parentOrientA | - the reference orientation for describing the parent
| childOrientA | - the reference orientation for describing the child
| childA | - the reference childID for describing the child
| parentOrientB | - the new orientation for describing the parent

### Output Parameters

| childOrientB | - if not NULL, set to the new oreintation for describing the child
| childB | - if not NULL, the new childID for describing the child

### See Also

DMPlexGetReferenceTree(), DMPlexSetReferenceTree(), DMPlexSetTree()

Level:developer
Location:src/dm/impls/plex/plextree.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages